# $Revision: 1.8 $, $Date: 2004/04/20 23:23:06 $
Summary:	Professional Audio Tools for GNU/Linux - a library
Summary(pl):	Profesjonalne Narzdzia Audio dla GNU/Linuksa - biblioteka
Name:		libmustux
Version:	0.20.1
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://savannah.nongnu.org/download/protux/%{name}-%{version}.tar.gz
# Source0-md5:	2b65d686a867232095c4a89b44b3e415
Patch0:		%{name}-acam.patch
URL:		http://www.nongnu.org/protux/mustux.html
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool >= 2:1.4d
# checked for, but not used at all
#BuildRequires:	libogg-devel
# test commented out in configure
#BuildRequires:	libvorbis-devel
BuildRequires:	perl-base
BuildRequires:	qt-devel >= 2.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mustux is a Musician Tools Paradigm Project. It is an initiative to
create a suite of tools for musicians based on a unified concept; the
tools might be able to offer an innovative interface by the usage of
keyboard + mouse actions without a single mouse click. Notice that we
are not talking about "shortcuts". Shortcuts are keyboard actions that
call buttons/icons/widgets events handlers. JMB actions try to
simulate an analogic device, such jog/shuttle rings, sliders, and
other fast manipulation input handlers. Protux and Mustache are some
of the tools that are part of this project.

%description -l pl
Mustux to projekt paradygmatu narzdzi muzycznych. Jest to inicjatywa
stworzenia zestawu narzdzi dla muzykw opartego na ujednoliconej
koncepcji; narzdzia mog oferowa innowacyjny interfejs poprzez
uycie akcji klawiatury i myszy bez adnego kliknicia mysz. Naley
zauway, e nie chodzi o "skrty". Skrty to akcje klawiatury
wywoujce procedury obsugi przyciskw/ikon/widgetw. Akcje JMB
prbuj symulowa urzdzenia analogowe, takie jak piercienie
jog/shuttle, slidery i inne do szybkiego manipulowania wejciami.
Protux i Mustache to przykadowe narzdzia bdce czci tego
projektu.

%package devel
Summary:	Header files for libmustux library
Summary(pl):	Pliki nagwkowe biblioteki libmustux
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9.0
Requires:	qt-devel >= 2.3.0

%description devel
Header files for libmustux library.

%description devel -l pl
Pliki nagwkowe biblioteki libmustux.

%package static
Summary:	Static libmustux library
Summary(pl):	Statyczna biblioteka libmustux
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmustux library.

%description static -l pl
Statyczna biblioteka libmustux.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--with-qt-lib-dir=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mustux-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/mustux.h
%{_includedir}/libmustux
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmustux.spec,v $
Revision 1.8  2004/04/20 23:23:06  qboosh
- fixed build on amd64, release 2

Revision 1.7  2004/04/20 23:00:06  qboosh
- updated ac/am patch, disabled outdated libvorbis deps

Revision 1.6  2004/04/20 22:36:19  qboosh
- updated to 0.20.1, updated deps (ALSA is obligatory now)

Revision 1.5  2004/03/11 15:05:54  adasi
 - 0.20.0
 - there's something wrong with sources, temporairly I hope

Revision 1.4  2003/09/10 06:44:47  gotar
- upgraded to 0.19.4

Revision 1.3  2003/08/19 11:20:46  gotar
- patch is back,
- BR: libvorbis-devel,
- release 1.

Revision 1.2  2003/08/19 08:15:40  gotar
- upgraded to 0.19.3,
- commented out (outdated?) patch,
- removed COPYRIGHT file (GPL).

Revision 1.1  2003/07/04 13:15:58  qboosh
- new, required by protux
